<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport"
    content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible"
    content="id-edge">
    <title>User Accounts</title>

</head>
<body>
    <!-- <script>
	

        $('th').on('click', function(){
            var column = $(this).data('column')
            var order = $(this).data('order')
            var text = $(this).html()
            text = text.substring(0, text.length - 1)
    
            if(order == 'desc'){
                $(this).data('order', "asc")
                users = users.sort((a,b) => a[column] > b[column] ? 1 : -1)
                text += '&#9660'
    
            }else{
                $(this).data('order', "desc")
                users = users.sort((a,b) => a[column] < b[column] ? 1 : -1)
                text += '&#9650'
    
            }
            $(this).html(text)
            buildTable(users)
        })
    
        buildTable(users)
    
        function buildTable(data){
            var table = document.getElementById('myTable')
            table.innerHTML = ''
            for (var i = 0; i < data.length; i++){
                var row = `<tr>
                                <td>${data[i].id}</td>
                                <td>${data[i].firstName}</td>
                                <td>${data[i].lastName}</td>
                                <td>${data[i].email}</td>
                                <td>${data[i].birthdate}</td>
                          </tr>`
                table.innerHTML += row
            }
        }
    </script> -->

<!-- <script src="https://unpkg.com/web-animations-js@2.3.2/web-animations.min.js"></script>
<script src="https://unpkg.com/muuri@0.8.0/dist/muuri.min.js"></script>
  
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"> -->

<style>
    th{ 
        color:#fff;
            }
</style>


<table class="table table-striped">
    <thead>
    <tr class="bg-info">
        <th scope="col" sortable="id" (sort)="onSort($event)">ID</th>
        <th scope="col" sortable="firstName" (sort)="onSort($event)">First Name</th>
        <th scope="col" sortable="lastName" (sort)="onSort($event)">Last Name</th>
        <th scope="col" sortable="email" (sort)="onSort($event)">Email</th>
        <th scope="col" sortable="birthData" (sort)="onSort($event)">Day of Birth</th>
        <th data-column="birthdate" data-order="desc">Edit</th>
        <th data-column="birthdate" data-order="desc">Delete</th>
    </tr>
    </thead>

    <tbody id="myTable">
            <tr *ngFor="let user of users">
                <td><a [routerLink] = "['/users/', user.id]">{{ user.id }}</a></td>
                <td>{{ user.firstName }}</td>
                <td>{{ user.lastName }}</td>
                <td><a href="mailto:{{ user.email }}">{{ user.email }}</a></td>
                <td>{{ user.birthDate }}</td>
                
                <td style="text-align: left;">
                  <button (click)="goToEditPage(user.id)" class="btn btn-info">Edit</button>
                </td>
        
                <td style="text-align: left;">
                  <form (ngSubmit)="deleteUser(user.id)">
                  <button class="btn btn-info" style="background-color: brown;">Del</button>
                  </form>
                </td>
              </tr>
    </tbody>
</table>




</body>
</html>